
PYROS - Evolution #6675
Evolution # 6717 (Nouveau): ============== (( PYROS SOFTWARE )) ==============
======= ((F)) MODULE - GENERAL PROJECT =======
02/05/2019 08:54 pm - Etienne Pallier

Status: Nouveau Start date: 02/05/2019
Priority: Immédiat Due date:
Assignee: % Done: 55%
Category: Estimated time: 65.00 hours
Target version: Spent time: 111.00 hours
Description

Subtasks:
Evolution # 6676: ----- ((F)) FUNCTION - Django framework ----- Nouveau
  Evolution # 6677: ((T)) Update to Django 2.1 then 2.2 then 3.0 Nouveau
Evolution # 6682: ----- ((F)) FUNCTION - Run ----- Nouveau
  Evolution # 6793: ((T)) pyros.py : General launch script (install, update, run, test, a... Nouveau
    Evolution # 6794: Ajout de nouvelles commandes : update, dbshell, shell, initdb, ... Nouveau
    Evolution # 6798: Commande "pyros shell" (pb import, démarrer sur src/../) Nouveau
    Evolution # 6821: ((T)) Colors pour terminal Windows Nouveau
Evolution # 6713: ----- ((F)) FUNCTION - CI&CD (Contin. Integr, Test & Deploy) ----- Nouveau
  Evolution # 6679: ((T)) install.py : Installation script (refactorisation et simplifica... Nouveau
    Anomalie # 6790: Bug Mysql ancien Nouveau
    Evolution # 6791: Quelques améliorations Nouveau
    Evolution # 6797: Refactorisation et simplification Nouveau
  Evolution # 6680: ((T)) Config (script XML) En cours
  Evolution # 6681: ((T)) Integration & Functional TEST Nouveau
Evolution # 6718: ----- ((F)) FUNCTION - QUALITÉ du développement ----- Nouveau
  Evolution # 6719: ((T)) Exceptions au lieu de return (errno, return_value) Nouveau
Evolution # 6720: ----- ((F)) Agent (processus permanent) ----- Nouveau
  Evolution # 6721: ((T)) Agent générique En cours
    Evolution # 6799: ((T)) Définir le format des COMMANDES En cours
    Evolution # 6800: ((T)) get_next_command() Fermé
      Evolution # 6819: ((T)) ajout abort et stop Nouveau
    Evolution # 6801: ((T)) update_survey() Fermé
    Evolution # 6802: ((T)) general_process() Fermé
    Evolution # 6803: ((T)) AgentX specific_process() : execution dans un thread Fermé
    Evolution # 6804: ((T)) AgentDevice En cours
    Evolution # 6805: ((T)) purge_commands() Fermé
    Evolution # 6806: ((T)) LOG En cours
    Evolution # 6820: ((T)) pb temps UTC Nouveau
Evolution # 6729: ----- ((F)) FUNCTION - Observatoire de test (Guitalens) ----- Nouveau
  Evolution # 6730: ((T)) Observatoire Guitalens En cours
Evolution # 6731: ----- ((F)) FUNCTION - DOC GENERALE PROJET et UTILISATEURS ----- Nouveau
  Evolution # 6813: ((T)) REDMINE : gestion projet, taches, évolutions, anomalies, planning En cours
    Evolution # 6814: Ajout rapports d'activité ALL, MODULES, AK, EP, PM Nouveau
    Evolution # 6815: Ajout nouveau rapport "EN COURS" Nouveau
Evolution # 7023: ----- ((F)) FUNCTION - STRUCTURE PROJET ----- Nouveau
  Evolution # 7022: ((T)) Restructuration avec src/core/ et src/devices/ Fermé

History
#1 - 02/05/2019 11:50 pm - Etienne Pallier
- Subject changed from ======= ((F)) MODULE - GENERAL PROJECT MANAGEMENT2 ======= to ======= ((F)) MODULE - GENERAL 
PROJECT MANAGEMENT =======

#2 - 02/06/2019 12:14 pm - Etienne Pallier
- Parent task set to #6715

#3 - 02/06/2019 12:18 pm - Etienne Pallier
- Parent task deleted (#6715)

#4 - 02/06/2019 06:25 pm - Etienne Pallier
- Parent task set to #6717

#5 - 02/06/2019 06:26 pm - Etienne Pallier
- Subject changed from ======= ((F)) MODULE - GENERAL PROJECT MANAGEMENT ======= to ======= ((F)) MODULE - GENERAL PROJECT 
=======
